
package org.mycompany.service.db.jaxb;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for conceptType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="conceptType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="CREATURE"/>
 *     &lt;enumeration value="HUMAN"/>
 *     &lt;enumeration value="MAN"/>
 *     &lt;enumeration value="WOMAN"/>
 *     &lt;enumeration value="CHILD"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "conceptType")
@XmlEnum
public enum ConceptType {

    CREATURE,
    HUMAN,
    MAN,
    WOMAN,
    CHILD;

    public String value() {
        return name();
    }

    public static ConceptType fromValue(String v) {
        return valueOf(v);
    }

}
