package org.mycompany.service.db.service;

import java.util.Arrays;
import java.util.Date;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

import org.mycompany.service.db.jaxb.Concept;
import org.mycompany.service.db.jaxb.ConceptType;
import org.mycompany.service.db.jaxws.MyDBService;
import org.mycompany.service.db.jaxws.MyDBServiceException;

@WebService(name = "MyDBService", targetNamespace = "http://service.mycompany.org/", endpointInterface = "org.mycompany.service.db.jaxws.MyDBService")
public class MyDBServiceImpl implements MyDBService {

	@WebMethod
	public Concept addConcept(@WebParam(name = "id") String id, @WebParam(name = "creator") String creator,
			@WebParam(name = "type") ConceptType type) throws MyDBServiceException {
		return new Concept(id, new Date(), creator, Arrays.asList(type));
	}
}
